package com.qmth.sop.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.sop.business.bean.dto.AllocationDetailDto;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 派单详情人员分配结果
 * @Author: CaoZixuan
 * @Date: 2024-05-20
 */
public class CrmDetailAllocationResult {
    @ApiModelProperty("服务单元名称")
    private String serviceUnitName;

    @ApiModelProperty("派单号")
    private String crmNo;

    @ApiModelProperty("派单详情id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long crmDetailId;

    @ApiModelProperty("客户类型")
    private ProductTypeEnum customType;

    @ApiModelProperty("客户名称")
    private String customName;

    @ApiModelProperty("科目名称")
    private String courseName;

    @ApiModelProperty("服务档位")
    private String level;

    @ApiModelProperty("客户省")
    private String customProvince;

    @ApiModelProperty("客户市")
    private String customCity;

    @ApiModelProperty("客户区")
    private String customArea;

    @ApiModelProperty("客户地址")
    private String customAddress;

    @ApiModelProperty("区域协调人信息")
    private AllocationDetailDto regionCoordinatorInfo;

    @ApiModelProperty("项目经理信息")
    private AllocationDetailDto projectManagerInfo;

    @ApiModelProperty("工程师信息")
    private AllocationDetailDto engineerInfo;

    public String getServiceUnitName() {
        return serviceUnitName;
    }

    public void setServiceUnitName(String serviceUnitName) {
        this.serviceUnitName = serviceUnitName;
    }

    public String getCrmNo() {
        return crmNo;
    }

    public void setCrmNo(String crmNo) {
        this.crmNo = crmNo;
    }

    public Long getCrmDetailId() {
        return crmDetailId;
    }

    public void setCrmDetailId(Long crmDetailId) {
        this.crmDetailId = crmDetailId;
    }

    public ProductTypeEnum getCustomType() {
        return customType;
    }

    public void setCustomType(ProductTypeEnum customType) {
        this.customType = customType;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getCustomProvince() {
        return customProvince;
    }

    public void setCustomProvince(String customProvince) {
        this.customProvince = customProvince;
    }

    public String getCustomCity() {
        return customCity;
    }

    public void setCustomCity(String customCity) {
        this.customCity = customCity;
    }

    public String getCustomArea() {
        return customArea;
    }

    public void setCustomArea(String customArea) {
        this.customArea = customArea;
    }

    public String getCustomAddress() {
        return customAddress;
    }

    public void setCustomAddress(String customAddress) {
        this.customAddress = customAddress;
    }

    public AllocationDetailDto getRegionCoordinatorInfo() {
        return regionCoordinatorInfo;
    }

    public void setRegionCoordinatorInfo(AllocationDetailDto regionCoordinatorInfo) {
        this.regionCoordinatorInfo = regionCoordinatorInfo;
    }

    public AllocationDetailDto getProjectManagerInfo() {
        return projectManagerInfo;
    }

    public void setProjectManagerInfo(AllocationDetailDto projectManagerInfo) {
        this.projectManagerInfo = projectManagerInfo;
    }

    public AllocationDetailDto getEngineerInfo() {
        return engineerInfo;
    }

    public void setEngineerInfo(AllocationDetailDto engineerInfo) {
        this.engineerInfo = engineerInfo;
    }
}
